<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>
    <link rel="stylesheet" href="css/Practica3.css">
    <link rel="stylesheet" href="css/header_footer.css">
    <script>
        function loadXMLDoc(filename) {
            if (window.ActiveXObject) {
                xhttp = new ActiveXObject("Msxml2.XMLHTTP");
            }
            else {
                xhttp = new XMLHttpRequest();
            }
            xhttp.open("GET", filename, false);
           // try { xhttp.responseType = "msxml-document" } catch (err) { } // Helping IE11
            xhttp.send("");
            return xhttp.responseXML;
        }

        function displayResult() {
            xml = loadXMLDoc("AJAX/videojocs.xml");
            xsl = loadXMLDoc("AJAX/videojocs.xsl");
            // code for IE
            // if (window.ActiveXObject || xhttp.responseType == "msxml-document") {
            //     ex = xml.transformNode(xsl);
            //     document.getElementById("example").innerHTML = ex;
            // }
            // // code for Chrome, Firefox, Opera, etc.
            // else 
            if (document.implementation && document.implementation.createDocument) {
                xsltProcessor = new XSLTProcessor();
                xsltProcessor.importStylesheet(xsl);
                resultDocument = xsltProcessor.transformToFragment(xml, document);
                document.getElementById("function").appendChild(resultDocument);
            }
        }
    </script>
</head>
<body onload="displayResult()">
    <header>
        <div class="logo">
            <img src="src/M4PLay.jpg" alt="LogoHome">
            <h1>Learning through play</h1>
        </div>
    </header>
    <div class="navegacion">
        <nav>
            <ul>
                <li>
                    <a href="indexPractica3.html">M04Play</a>
                </li>
                <li>
                    <a href="#section-videojuegos">videojuegos</a>
                </li>
                <li>
                    <a href="#section-noticias">Noticias</a>
                </li>
                <li>
                    <a href="#section-ranking">Ranking</a>
                </li>
                <li>
                    <a href="encuesta.html">Encuesta</a>
                </li>
                <li>
                    <a href="llista.html">Lista</a>
                </li>
            </ul><!-- Links-->
        </nav>
    </div>
    <main>
        <section id="section-videojuegos">
            <h2>Videojuegos</h2>
            <div class="cont-article" id="function">

                <!-- <article>
                    <img src="https://cdn.akamai.steamstatic.com/steam/apps/4000/header.jpg?t=1663621793" 
                    alt="Garry's Mod Portada"><br>
                    <div class="information">
                        <h3>Garry's Mod</h3>
                        <p>Garry's Mod es un entorno que te permite jugar libremente con el motor
                        físico. Al contrario que en la mayoría de juego, no hay metas u objetivos
                        predeterminados.
                        </p>
                    </div>
                    <div class="position-final">
                        <div class="button">
                            <a href="">más info</a>
                        </div>
                    </div>
                </article>
                <article>
                    <img src="https://cdn.akamai.steamstatic.com/steam/apps/113200/ss_57c7fb142d6b8f7d38ab62d9f39a055a5b2d4c4c.600x338.jpg?t=1643480517" 
                    alt="The Binding of Isaac Portada"><br>
                    <div class="information">
                        <h3>The Binding of Isaac</h3>
                        <p>Cuando la madre de Isaac empieza a escuchar la voz de Dios exigiéndole
                        un sacrificio para demostrar su fe, Isaac huye hacia el sótano para
                        enfrentarse a montones de desquiciados enemigos, hermanos y hermanas
                        perdidos, sus miedos y, finalmente, a su madre.
                        The Binding of Isaac es un shooter de rol y acción generado
                        aleatoriamente con fuertes elementos de roguelike. Mientras siguen a
                        Isaac en su viaje, los jugadores encontrarán extraños tesoros que
                        cambiarán la forma de Isaac dotándole de habilidades sobrehumanas que le
                        permitirán enfrentarse a hordas de misteriosas criaturas, descubrir
                        secretos y abrirse paso luchando hasta un lugar seguro.
                        </p>
                    </div>
                    <div class="position-final">
                        <div class="button">
                            <a href="videojocP3.html">más info</a>
                        </div>
                    </div>
                    
                </article>
                <article>
                    <img src="https://upload.wikimedia.org/wikipedia/commons/d/d5/Gt5_00.png" 
                    alt="Gran Turismo Portada">
                    <div class="information">
                        <h3>Gran Turismo 5</h3>
                        <p>Es la quinta entrega completa de la serie de videojuegos de carreras
                        Gran Turismo producida para la consola Sony PlayStation 3.
                        </p>
                    </div>
                    <div class="position-final">
                        <div class="button">
                            <a href="">más info</a>
                        </div>
                    </div>
                    
                </article>
                <article>
                    <img src="https://theriffrepeater.com/wp-content/uploads/2016/06/guitar-hero-metallica-580x435.jpg" 
                    alt="Guitar Hero: Metallica Portada">
                    <div class="information">
                        <h3>Guitar Hero: Metallica</h3>
                        <p>Famoso juego musical, en el que podrás tocar las canciones del
                        famoso grupo Metallica. Usando un controlador propio, con forma de
                        guitarra/bajo.
                        </p>
                    </div>
                    <div class="position-final">
                        <div class="button">
                            <a href="">más info</a>
                        </div>
                    </div>
                </article>
                <article>
                    <img src="https://static-cdn.jtvnw.net/ttv-boxart/490147_IGDB-272x380.jpg" 
                    alt="Hollow Knight Portada">
                    <div class="information">
                        <h3>Hollow Knight</h3>
                        <p>Hollow Knight es una aventura de acción clásica en 2D ambientada
                        en un vasto mundo interconectado. Explora cavernas tortuosas,
                        ciudades antiguas y páramos mortales. Combate contra criaturas
                        corrompidas, haz nuevas amistades con extraños insectos y resuelve
                        los antiguos misterios que yacen en el corazón del reino.
                        </p>
                    </div>
                    <div class="position-final">
                        <div class="button">
                            <a href="">más info</a>
                        </div>
                    </div>
                    
                </article>
                <article>
                    <img src="https://cdn2.unrealengine.com/Diesel%2Fproductv2%2Fassassins-creed-origins%2Fdeluxe-edition%2FACH_UCS12002_EGST_BannerBundle_DLX_US_Store_Landscape_2560x1440-1920x1080-1cc5d95370b97e58bb64384448c5db24025701b3.jpg" 
                    alt="Assassin's Creed: Origins Portada">
                    <div class="information">
                        <h3>Assassins's Creed: Origins</h3>
                        <p>Assassin's Creed: Origins es un videojuego de acción-aventura
                        y RPG de la saga Assassin's Creed cuya fecha de lanzamiento fue
                        el 27 de octubre de 2017.            
                        </p>
                    </div>

                    <div class="position-final">
                        <div class="button">
                            <a href="">más info</a>
                        </div>
                    </div>
                </article> -->
            </div>
            
        </section>
        <div class="extra-info">
            <section id="section-trucos">
                <div class="title">
                    <h2>Trucos</h2>
                </div>          
                <article>
                    <h4>Grand Theft Auto</h4>
                    <p>
                        <span>Para aparecer barcos:</span> 362-555-050<br>
                        <span>aparecer salud:</span> 482-555-050
                    </p>
                </article>
                <article>
                    <h4>League of Legends</h4>
                    <p>
                        <span>Hechizos de invocador:</span> te explicamos qué son y cómo funciona cada uno.<br>
                        <span>Subir de nivel rápido:</span> descubre todas las formas de ganar puntos de experiencia (EXP).<br>
                        <span>Recompensas de cuenta:</span> aquí mostramos todos los premios que ganarás por subir tu nivel en LoL.
                    </p>
                </article>
            </section>
            <section id="section-noticias">
                <div class="title">
                    <h2>Noticias</h2>
                </div>
                <div class="information-noticias">

                
                    <article>
                    
                        <h3>Los videojuegos como herramientas para el conocimiento</h3>
                        <p>Desde que comenzamos nuestra andadura con GammeraNest y como
                            equipo creativo, hace ya diez años, asesorando a museos y otras
                            compañías sobre cómo usar la narrativa de los videojuegos a su
                            favor, siempre hemos pensado que el conocimiento debe ser
                            compartido con todos si queremos que este mundo sea mejor y que
                            la única forma de adquirirlo es trabajando duro y aprendiendo
                            para posteriormente poder transmitirlo.
                        </p>
                        <img src="src/noticia1.jpg" alt="Noticia 1">
                        <div class="button-noticia">
                            <a target="_blank" href=""> Leer más...</a>
                        </div>
                        
                    </article>
                    <article>
                        <h3>EA actualiza los juegos que perderán servicios online en los
                            próximos meses
                        </h3>
                        <p>El videojuego de Electronic Arts (EA) Los Sims 4 ha pasado a
                            ser de descarga gratuita desde este martes, un cambio que la
                            compañía ha acompañado de modificaciones en sus servicios en
                            línea, que afectan también a otros títulos como Command &
                            Conquer, Mirror's Edge y Army of Two.
                        </p>
                        <img src="src/noticia2.jpg" alt="Noticia 2">
                        <div class="button-noticia">
                            <a target="_blank" href=""> Leer más...</a>
                        </div>
                    </article>
                    <article>
                        <h3>Nuevas pistas sugieren que el nuevo juego de Hideo
                            Kojima es
                            Death Stranding 2
                        </h3>
                        <p>A pesar de que sus títulos suelen generar opiniones divididas,
                            Kojima Productions es una de las desarrolladoras que más dan de
                            qué hablar. Aunque la compañía aún no ha revelado oficialmente su
                            próximo proyecto, con crípticos mensajes su jefe, Hideo Kojima,
                            ha estado emocionando a los fans sobre una pronta revelación y
                            las sospechas sobre Death Stranding se hacen más grandes.
                        </p>
                        <img src="src/noticia3.jpeg" alt="Noticia 3">
                        <div class="button-noticia">
                            <a target="_blank" href=""> Leer más...</a>
                        </div>
                    </article>
                    <article>
                        <h3>4.000 dólares por doblar un juego millonario:
                            'Bayonetta 3' es
                            el último escándalo
                        </h3>
                        <p>El próximo 28 de octubre PlatinumGames lanza 'Bayonetta 3', uno
                            de los juegos más esperados para la Nintendo Switch. El título es
                            prometedor, pero su lanzamiento se ha convertido en un verdadero
                            escándalo. Una actriz de doblaje ha puesto el grito en el cielo
                            por un tema siempre sensible: según ella ofrecen sueldos
                            miserables incluso en producciones que acaban generando millones
                            y millones de dólares.
                        </p>
                        <img src="src/noticia4.jpeg" alt="Noticia 4">
                        <div class="button-noticia">
                            <a target="_blank" href=""> Leer más...</a>
                        </div>
                    </article>
                </div>
            </section>
        </div>
        
        <section id="section-ranking">
            <div class="title">
                <h2>Ránking</h2>
            </div>
            <div class="cont-ranking">
                <div class="player">
                    <img src="src/marge.png" alt="Jugador">
                    <h4>LilJoanMa</h4>
                    <p>Puntuación: 9999999999 LP</p>
                </div>
                <div class="player">
                    <img src="https://lolg-cdn.porofessor.gg/img/d/summonerIcons/12.22/64/4831.png" alt="Jugador">
                    <h4>Rogerribas13</h4>
                    <p>Puntuación: 1413 LP</p>
                </div>
                <div class="player">
                    <img src="https://lolg-cdn.porofessor.gg/img/d/summonerIcons/12.22/64/4380.png" alt="Jugador">
                    <h4>vejetto904</h4>
                    <p>Puntuación: 904 LP</p>
                </div>
                <div class="player">
                    <img src="https://lolg-cdn.porofessor.gg/img/d/summonerIcons/12.22/64/4561.png" alt="Jugador">
                    <h4>MrBrainer58</h4>
                    <p>Puntuación: 1058 LP</p>
                </div>
                <div class="player">
                    <img src="https://lolg-cdn.porofessor.gg/img/d/summonerIcons/12.22/64/5168.png" alt="Jugador">
                    <h4>calvitosexy72</h4>
                    <p>Puntuación: 1072 LP</p>
                </div>
                <div class="player">
                    <img src="https://lolg-cdn.porofessor.gg/img/d/summonerIcons/12.22/64/4555.png" alt="Jugador">
                    <h4>Shubur</h4>
                    <p>Puntuación: 1000 LP</p>
                </div>
            </div>
            
            
        </section>
    </main> 
    <footer>
         <nav>
            <ul>
                <li>
                    <a href=""><img class="footer-logos-rs" src="src/instagram.png" alt="Instagram"></a>
                </li>
                 <li>
                    <a href=""><img class="footer-logos-rs" src="src/facebook.png" alt="Facebook"></a>
                </li>
                <li>
                    <a href=""><img class="footer-logos-rs" src="src/twitter.png" alt="Twitter"></a>
                </li>
                <li>
                    <a href=""><img class="footer-logos-rs" src="src/youtube.png" alt="Youtube"></a>
                </li>
            </ul>
        </nav>
        <address>
            <p>Carrer d'aiguablava 121</p>
            <p>08033 Barcelona</p>
        </address>
        <p>
            <a href="">Copyright &copy; 2022-2023</a>
        </p>
    </footer>
    
</body>
</html>